Bug 109438 - [patch] emulators/vice Add support for joysticks.
[patch] emulators/vice Add support for joysticks.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
Depends on:
  Show dependency treegraph
Reported: 2007-02-22 16:10 UTC by dwaynemk
Modified: 2007-03-04 09:20 UTC (History)
0 users

See Also:

file.diff (1.21 KB, patch)
2007-02-22 16:10 UTC, dwaynemk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dwaynemk 2007-02-22 16:10:05 UTC
The VICE port does not configure itself to use FreeBSD's joystick support (/dev/joy*). It looks for machine/joystick.h, when in FreeBSD the include file is actually sys/joystick.h.

Fix: I've included four files with this PR:

1) A patch to the port Makefile, which uses a post-patch sed command to change all instances of machine/joystick.h in the configure script to sys/joystick.h.

2) A patch to src/arch/unix/joy.c, which changes machine/joystick.h to sys/joystick.h.

3) A patch to src/arch/unix/joy_usb.c. Enabling joystick support via the changes to the configure script reveals a secondary problem: the compilation of joy_usb.c fails. The compile failure is due to _IOWR not being defined. The patch adds the header file sys/ioccom.h to the .c file. This solves the compile problem, but I have not been able to test to see if a USB joystick would actually work with VICE due to lack of equipment.

4) A pkg-message file to help steer people installing VICE on how to load the joy kernel module and set the permissions for /dev/joy* properly so that VICE can use the devices.

Patch attached with submission follows:
How-To-Repeat: Compile the VICE port from src, and examine the configure output.
Comment 1 Edwin Groothuis freebsd_committer 2007-02-22 16:10:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer 


 Date: Thu, 22 Feb 2007 11:49:44 -0500
 From: Dwayne MacKinnon <dwaynemk@hotmail.com>

 [later addition caught in spamtrap:]

 I meant to mention that the joy_usb.c patch may help fix ports/108504.
Comment 2 dfilter freebsd_committer 2007-03-04 09:10:12 UTC
dinoex      2007-03-04 09:09:59 UTC

  FreeBSD ports repository

  Modified files:
    emulators/vice       Makefile 
  Added files:
    emulators/vice       pkg-message 
    emulators/vice/files patch-joy.c patch-joy_usb.c 
  - Add support for joysticks
  PR:             109438, 108504
  Submitted by:   Dwayne MacKinnon
  Revision  Changes    Path
  1.49      +3 -1      ports/emulators/vice/Makefile
  1.1       +11 -0     ports/emulators/vice/files/patch-joy.c (new)
  1.1       +10 -0     ports/emulators/vice/files/patch-joy_usb.c (new)
  1.1       +10 -0     ports/emulators/vice/pkg-message (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dirk Meyer freebsd_committer 2007-03-04 09:10:28 UTC
State Changed
From-To: open->closed

committed, thanks. 

It is prefered to send unified diff, see porters-handbook.